"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cross_spawn_1 = tslib_1.__importDefault(require("cross-spawn"));
const command_1 = require("@oclif/command");
const paths_1 = require("../utils/paths");
class Test extends command_1.Command {
    async run() {
        cross_spawn_1.default(paths_1.reactScripts, ['test'], {
            stdio: 'inherit',
        });
    }
}
Test.description = 'Runs unit tests in project';
Test.aliases = ['t'];
Test.examples = [`$ dh test`];
exports.default = Test;
