"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const config_1 = require("./config");
function createPkgFile(root, appName) {
    const pkgPath = path_1.default.join(root, 'package.json');
    fs_extra_1.default.writeJsonSync(pkgPath, Object.assign({ name: appName }, config_1.pkg), { spaces: 2 });
}
exports.createPkgFile = createPkgFile;
