"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const paths_1 = require("./paths");
const getDahliaConfig_1 = require("./getDahliaConfig");
exports.customizePaths = () => {
    const paths = require(paths_1.reactScriptsPaths);
    paths.appSrc = paths_1.appDir;
    paths.appIndexJs = paths_1.entryPath;
    paths.appHtml = path_1.join(paths_1.appDir, '.dahlia', 'index.html');
    paths.appPublic = paths_1.publicDir;
    paths.appPublic = paths_1.publicDir;
    // customize build dir
    const dahliaConfig = getDahliaConfig_1.getDahliaConfig();
    if (dahliaConfig && dahliaConfig.buildDir) {
        paths.appBuild = dahliaConfig.buildDir;
    }
    require(paths_1.reactScriptsPaths);
    require.cache[require.resolve(paths_1.reactScriptsPaths)].exports = paths;
};
