"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const prettier_1 = tslib_1.__importDefault(require("prettier"));
function formatCode(text, parser = 'typescript') {
    const opt = {
        semi: false,
        tabWidth: 2,
        singleQuote: true,
        parser,
        trailingComma: 'all',
    };
    return prettier_1.default.format(text, opt);
}
exports.formatCode = formatCode;
