"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const paths_1 = require("./paths");
function getDahliaConfig() {
    if (!fs_extra_1.default.existsSync(paths_1.tmpDahliaConfigPath))
        return null;
    const dahliaConfig = require(paths_1.tmpDahliaConfigPath);
    if (dahliaConfig.default) {
        return dahliaConfig.default;
    }
    return null;
}
exports.getDahliaConfig = getDahliaConfig;
