"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar_1 = require("chokidar");
const paths_1 = require("./paths");
const createModalConfig_1 = require("./createModalConfig");
exports.watchModalConfig = () => {
    chokidar_1.watch(paths_1.modalConfigPath, {
        ignoreInitial: true,
    }).on('all', eventType => {
        if (['add', 'change', 'unlink'].includes(eventType)) {
            createModalConfig_1.createModalConfig();
        }
    });
};
