"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
class Generate extends command_1.Command {
    async run() {
        const { args } = this.parse(Generate);
        // const name = flags.name || 'world'
        this.log('generating ...');
        this.log('args:', args);
    }
}
Generate.description = 'Generate page/component/store...';
Generate.aliases = ['g'];
Generate.examples = [
    `$ dh generate page Home`,
    `$ dh generate component Header`,
    `$ dh generate store todoStore`,
];
Generate.args = [{ name: 'type' }, { name: 'name' }];
exports.default = Generate;
