"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar_1 = require("chokidar");
const paths_1 = require("./paths");
const createCommonFiles_1 = require("./createCommonFiles");
exports.watchCommon = () => {
    chokidar_1.watch(paths_1.commonDir, {
        ignoreInitial: false,
    }).on('all', eventType => {
        if (['unlink'].includes(eventType)) {
            createCommonFiles_1.createCommonFiles();
        }
    });
    chokidar_1.watch(paths_1.commonFiles, {
        ignoreInitial: true,
    }).on('all', eventType => {
        if (['add', 'change', 'unlink'].includes(eventType)) {
            createCommonFiles_1.createCommonFiles();
        }
    });
};
