"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const chokidar_1 = require("chokidar");
const paths_1 = require("./paths");
exports.watchConfig = () => {
    paths_1.configPaths.forEach(({ origin, target }) => {
        chokidar_1.watch(origin).on('all', eventType => {
            if (['add', 'change'].includes(eventType)) {
                fs_1.default.copyFileSync(origin, target);
            }
        });
    });
};
