"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar_1 = require("chokidar");
const paths_1 = require("./paths");
const createRouterConfig_1 = require("./createRouterConfig");
exports.watchRouterConfig = () => {
    chokidar_1.watch(paths_1.routerConfigPath, {
        ignoreInitial: true,
    }).on('all', eventType => {
        if (['add', 'change', 'unlink'].includes(eventType)) {
            createRouterConfig_1.createRouterConfig();
        }
    });
};
